Package org.apache.struts2.views.jasperreports

# Class ValueStackShadowMap

java.lang.Object
java.util.AbstractMap<K,V>
java.util.HashMap<String,Object>
org.apache.struts2.views.jasperreports.ValueStackShadowMap

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Map<String,Object>`

public class ValueStackShadowMap extends HashMap<String,Object>
Ported to Struts:

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.util.AbstractMap

  `AbstractMap.SimpleEntry<K extends Object,V extends Object>, AbstractMap.SimpleImmutableEntry<K extends Object,V extends Object>`

  ## Nested classes/interfaces inherited from interface java.util.Map

  `Map.Entry<K extends Object,V extends Object>`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ValueStackShadowMap(ValueStack valueStack)`
  Constructs an instance of ValueStackShadowMap.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `containsKey(String key)`
  Implementation of containsKey(), overriding HashMap implementation.
  `Object`
  `get(String key)`
  Implementation of get(), overriding HashMap implementation.

  ### Methods inherited from class java.util.HashMap

  `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

  ### Methods inherited from class java.util.AbstractMap

  `equals, hashCode, toString`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface java.util.Map

  `equals, hashCode`

- ## Constructor Details

  - ### ValueStackShadowMap

    public ValueStackShadowMap(ValueStack valueStack)
    Constructs an instance of ValueStackShadowMap.
    Parameters:
      `valueStack` - - the underlying valuestack

- ## Method Details

  - ### containsKey

    public boolean containsKey(String key)
    Implementation of containsKey(), overriding HashMap implementation.
    Parameters:
      `key` - - The key to check in HashMap and if not found to check on valueStack.
    Returns:
      `true`, if contains key, `false` otherwise.
    See Also:
      - `HashMap.containsKey(java.lang.Object)`

  - ### get

    public Object get(String key)
    Implementation of get(), overriding HashMap implementation.
    Parameters:
      `key` - - The key to get in HashMap and if not found there from the valueStack.
    Returns:
      value - The object from HashMap or if null, from the valueStack.
    See Also:
      - `HashMap.get(java.lang.Object)`